OpenTTD GameScript API: Data Fields

OpenTTD GameScript API 15.0-RC2

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- CanBuildConnectedRoadParts() : GSRoad
- CanBuildConnectedRoadPartsHere() : GSRoad
- CanBuildIndustry() : GSIndustryType
- CanProspectIndustry() : GSIndustryType
- CanPullCargo() : GSEngine
- CanRefitCargo() : GSEngine
- CanRunOnRail() : GSEngine
- CanRunOnRoad() : GSEngine
- CargoAcceptState : GSIndustry
- CargoClass : GSCargo
- CargoMode : GSStationList_Cargo
- CargoSelector : GSStationList_Cargo
- CAS_ACCEPTED : GSIndustry
- CAS_NOT_ACCEPTED : GSIndustry
- CAS_TEMP_REFUSED : GSIndustry
- CC_ARMOURED : GSCargo
- CC_BULK : GSCargo
- CC_COVERED : GSCargo
- CC_EXPRESS : GSCargo
- CC_HAZARDOUS : GSCargo
- CC_LIQUID : GSCargo
- CC_MAIL : GSCargo
- CC_NON_POTABLE : GSCargo
- CC_NON_POURABLE : GSCargo
- CC_OVERSIZED : GSCargo
- CC_PASSENGERS : GSCargo
- CC_PIECE_GOODS : GSCargo
- CC_POTABLE : GSCargo
- CC_POWDERIZED : GSCargo
- CC_REFRIGERATED : GSCargo
- CF_EQUALS : GSOrder
- CF_INVALID : GSOrder
- CF_IS_FALSE : GSOrder
- CF_IS_TRUE : GSOrder
- CF_LESS_EQUALS : GSOrder
- CF_LESS_THAN : GSOrder
- CF_MORE_EQUALS : GSOrder
- CF_MORE_THAN : GSOrder
- CF_NOT_EQUALS : GSOrder
- Chance() : GSBase
- ChanceItem() : GSBase
- ChangeBankBalance() : GSCompany
- ChangeRating() : GSTown
- CheatWidgets : GSWindow
- Clear() : GSList, GSPriorityQueue
- CLIENT_FIRST : GSClient
- CLIENT_INVALID : GSClient
- CLIENT_SERVER : GSClient
- ClientID : GSClient
- ClientListWidgets : GSWindow
- CloneVehicle() : GSVehicle
- Close() : GSWindow
- CloseQuestion() : GSGoal
- CM_PLANNED : GSStationList_Cargo
- CM_WAITING : GSStationList_Cargo
- Colours : GSCompany
- COMPANY_FIRST : GSCompany
- COMPANY_INVALID : GSCompany
- COMPANY_LAST : GSCompany
- COMPANY_SELF : GSCompany
- COMPANY_SPECTATOR : GSCompany
- CompanyFinancesWidgets : GSWindow
- CompanyID : GSCompany
- CompanyInfrastructureWidgets : GSWindow
- CompanyWidgets : GSWindow
- CompareFunction : GSOrder
- CONFIG_BOOLEAN : GSInfo
- CONFIG_DEVELOPER : GSInfo
- CONFIG_INGAME : GSInfo
- CONFIG_NONE : GSInfo
- ConsoleWidgets : GSWindow
- Convert() : GSEventAdminPort, GSEventCompanyBankrupt, GSEventCompanyInTrouble, GSEventCompanyMerger, GSEventCompanyNew, GSEventCompanyRenamed, GSEventCompanyTown, GSEventExclusiveTransportRights, GSEventGoalQuestionAnswer, GSEventIndustryClose, GSEventIndustryOpen, GSEventPresidentRenamed, GSEventRoadReconstruction, GSEventStationFirstVehicle, GSEventStoryPageButtonClick, GSEventStoryPageTileSelect, GSEventStoryPageVehicleSelect, GSEventSubsidyAwarded, GSEventSubsidyExpired, GSEventSubsidyOffer, GSEventSubsidyOfferExpired, GSEventTownFounded, GSEventVehicleCrashed, GSEventWindowWidgetClick
- ConvertRailType() : GSRail
- ConvertRoadType() : GSRoad
- CopyOrders() : GSOrder
- Corner : GSTile
- CORNER_E : GSTile
- CORNER_INVALID : GSTile
- CORNER_N : GSTile
- CORNER_S : GSTile
- CORNER_W : GSTile
- Count() : GSList, GSPriorityQueue
- CRASH_AIRCRAFT_NO_AIRPORT : GSEventVehicleCrashed
- CRASH_FLOODED : GSEventVehicleCrashed
- CRASH_PLANE_LANDING : GSEventVehicleCrashed
- CRASH_RV_LEVEL_CROSSING : GSEventVehicleCrashed
- CRASH_RV_UFO : GSEventVehicleCrashed
- CRASH_TRAIN : GSEventVehicleCrashed
- CrashReason : GSEventVehicleCrashed
- Create() : GSNews, GSSubsidy
- CreateGroup() : GSGroup
- CreateInstance() : GSInfo
- CreateScenarioWidgets : GSWindow
- CS_BY_FROM : GSStationList_Cargo
- CS_BY_VIA : GSStationList_Cargo
- CS_FROM_BY_VIA : GSStationList_Cargo
- CS_VIA_BY_FROM : GSStationList_Cargo
- CT_AUTO_REFIT : GSCargo
- CT_INVALID : GSCargo
- CT_NO_REFIT : GSCargo
- CURRENT_QUARTER : GSCompany
- CustomCurrencyWidgets : GSWindow